import * as d3 from 'd3';
import { ModuleLayout } from './layout';

class NetlistRender {
    /**
     * 
     * @param {YosysRawNet} rawNet 
     */
    constructor(rawNet) {
        /**
         * @type {YosysRawNet}
         */
        this.rawNet = rawNet;

        /**
         * @type {ElkGraph}
         */
        this.elkGraph = {
            id: 'root',
            children: [],
            edges: []
        };

        this.loadYosysRawNet(rawNet);
    }

    /**
     * @description 加载 yosys 格式的 json
     * @param {YosysRawNet} rawNet 
     */
    loadYosysRawNet(rawNet) {
        
        // 转换为 elkjs 格式的 graph
        for (const [moduleName, module] of Object.entries(rawNet.modules)) {
            
        }
    }

}